CVE-2005-0981
CVSS4.3
发布时间 :2005-05-02 00:00:00
修订时间 :2016-10-17 23:16:12
NMCOS    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in AlstraSoft EPay Pro 2.0 allow remote attackers to inject arbitrary web script or HTML via the (1) payment or (2) send parameter.


[CNNVD]AlstraSoft EPay Pro多个跨站脚本漏洞(CNNVD-200505-339)

        AlstraSoft EPay Pro 2.0中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可以通过(1)payment或(2)send参数来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0981
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0981
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-339
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111247198021626&w=2
(UNKNOWN)  BUGTRAQ  20050402 AlstraSoft EPay Pro v2.0 has file include and multiple xss
http://www.securityfocus.com/bid/12974
(UNKNOWN)  BID  12974

- 漏洞信息

AlstraSoft EPay Pro多个跨站脚本漏洞
中危 跨站脚本
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        AlstraSoft EPay Pro 2.0中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可以通过(1)payment或(2)send参数来注入任意Web脚本或HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

15228
AlstraSoft EPay Pro order_num Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-04-01 Unknow
2005-04-01 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

AlstraSoft EPay Pro Multiple Cross-Site Scripting Vulnerabilities
Input Validation Error 12974
Yes No
2005-04-01 12:00:00 2009-07-12 11:56:00
Discovery is credited to Diabolic Crab dcrab <dcrab@hackerscenter.com>.

- 受影响的程序版本

AlstraSoft EPay Pro 2.0

- 漏洞讨论

It is reported that EPay Pro is affected by various cross-site scripting vulnerabilities.

These problems present themselves when malicious HTML and script code is sent to the application through multiple parameters.

This issue may allow for theft of cookie-based authentication credentials or other attacks.

EPay Pro version 2.0 is vulnerable to these issues.

- 漏洞利用

An exploit is not required.

The following examples are available:

http://www.example.com/epal/?order_num=crap&amp;payment="&gt;&amp;lt;script&amp;gt;alert(document.cookie)&amp;lt;/script&amp;gt;&amp;send=first&amp;send=regular&amp;send=priority&amp;send=express
Pops cookie

http://www.example.com/epal/?order_num=crap&amp;payment=crap&amp;send=first&amp;send=regular&amp;send=priority&amp;send='%3E%3Cscript%3Ealert(document.cookie)%3C/script%3E
Pops cookie

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站